export default class HaikuTimeline {
    options: any;
    emit: any;
    _component: any;
    _name: any;
    _descriptor: any;
    _globalClockTime: any;
    _localElapsedTime: any;
    _localExplicitlySetTime: any;
    _maxExplicitlyDefinedTime: any;
    _isPlaying: any;
    constructor(component: any, name: any, descriptor: any, options: any);
    assignOptions(options: any): this;
    ensureClockIsRunning(): this;
    setComponent(component: any): this;
    updateInternalProperties(updatedGlobalClockTime: any): void;
    doUpdateWithGlobalClockTime(globalClockTime: any): this;
    resetMaxDefinedTimeFromDescriptor(descriptor: any): this;
    isTimeControlled(): boolean;
    controlTime(controlledTimeToSet: any, updatedGlobalClockTime: any): this;
    getName(): any;
    getMaxTime(): any;
    getClockTime(): any;
    getElapsedTime(): any;
    getControlledTime(): any;
    getBoundedTime(): any;
    getTime(): any;
    getBoundedFrame(): number;
    getUnboundedFrame(): number;
    getFrame(): number;
    isPlaying(): boolean;
    isFrozen(): boolean;
    isFinished(): boolean;
    duration(): any;
    getDuration(): any;
    setRepeat(bool: any): this;
    getRepeat(): boolean;
    freeze(): this;
    unfreeze(): this;
    shout(key: any): this;
    start(maybeGlobalClockTime: any, descriptor: any): this;
    stop(maybeGlobalClockTime: any, descriptor: any): this;
    pause(): this;
    play(requestedOptions: any): this;
    seek(ms: any): this;
    gotoAndPlay(ms: any): this;
    gotoAndStop(ms: any): this;
}
